WPS (with WPA2) using wpa_supplicant0.6.10

Pragya Gupta contactpg at gmail.com
Fri Dec 17 05:53:13 EST 2010


Hi,

I was unable to reply to original mail . Hence creating another thread.

I am using Wi-Fi driver  developed our company . After making a fix in
the driver, I am able to associate with the AP but authentication
fails at various stages. Once in around 10 times I see a success.
Another team in my company using wpa_supplicant 0.7.3 is not seeing
these issues .Is wpa_supplicant0.7.3 more stable than 0.6.10 w.r.t WPS
?

Meanwhile, I am investigating the issue further to rule out any issues
in our setup or ion our driver .

Pragya

On Fri, Dec 10, 2010 at 03:33:36PM +0530, Pragya Gupta wrote:
> I am trying to connect to a linksys AP (WRT54G2) using WPS PIN
> mechanism. I am using wpa_cli over wpa_supplicant0.6.10 . While the
> connection is successful when the security is set to WPA-Personal on
> AP, I see a failure when the security is WPA2-Personal.

Which driver are you using?

> The function "wpa_driver_wext_associate" in Driver_Wext.c sets the
> WPA_VERSION based on following check:
>
> if (params->wpa_ie == NULL || params->wpa_ie_len == 0)
>               value = IW_AUTH_WPA_VERSION_DISABLED;
> else if (params->wpa_ie[0] == WLAN_EID_RSN)
>               value = IW_AUTH_WPA_VERSION_WPA2;
> else
>               value = IW_AUTH_WPA_VERSION_WPA;

This code is from the time before support for WPS was added.. Most
drivers don't really use the IW_AUTH_WPA_VERSION configuration and as
such, they are unlikely to care. This should really be replaced with use
of params->key_mgmt_suite, though.


-- 
Pragya


More information about the HostAP mailing list